Bug 1231204 - perl-Data-Dump-Streamer-2.38-4.fc23: FTBFS with Perl 5.22
Summary: perl-Data-Dump-Streamer-2.38-4.fc23: FTBFS with Perl 5.22
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Data-Dump-Streamer
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL: https://koji.fedoraproject.org/koji/b...
Whiteboard:
: 1239771 (view as bug list)
Depends On:
Blocks: 1231285 1231297 F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-06-12 11:42 UTC by Jitka Plesnikova
Modified: 2015-12-24 10:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-23 13:49:13 UTC
Type: Bug


Attachments (Terms of Use)
Build log (13.98 KB, text/plain)
2015-06-12 11:42 UTC, Jitka Plesnikova
no flags Details
Spec for new upstream 2.39 release (6.68 KB, text/plain)
2015-12-24 10:56 UTC, Paul Howarth
no flags Details


Links
System ID Private Priority Status Summary Last Updated
CPAN 102369 0 None None None Never

Description Jitka Plesnikova 2015-06-12 11:42:12 UTC
Created attachment 1038027 [details]
Build log

The build of  perl-Data-Dump-Streamer failed during Perl 5.22 mass rebuild with following errors:


Subroutine B::OP::parent redefined at /usr/lib64/perl5/vendor_perl/B/Utils.pm line 186.
#   Failed test 'data slots (glob/FORMAT)'
#   at t/test_helper.pl line 114.
#   Failed test 'data slots (ref/FORMAT)'
#   at t/test_helper.pl line 114.
# Error:
# data slots (blessed FORMAT) subtest Expected failed to return the expected result:
#        Expected                                                                                                              Result
#    1 =                # format F =                                                                                         |                # format F =
#    2 =                # vec($_,@#,@#) = @<< == @######### @>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>                                 |                # vec($_,@#,@#) = @<< == @######### @>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
#    3 !                # $off, $width, $bits, $val, $res                                                                    *                # use warnings;
#    4 +                                                                                                                     >                # ; $off, $width, $bits, $val, $res
#    5 =                # vec($_,@#,@#) = @<< == @######### @>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>                                 |                # vec($_,@#,@#) = @<< == @######### @>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
#    6 =                # $off, $width, $bits, $val, $res                                                                    |                # $off, $width, $bits, $val, $res
Got <<'EXPECT';
$Thank_YSTH1 = bless( do{ local *F; my $F=<<'_EOF_FORMAT_'; $F=~s/^\s+# //mg; eval $F; die $F.$@ if $@; *F{FORMAT};
               # format F =
               # vec($_,@#,@#) = @<< == @######### @>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
               # use warnings;
               # ; $off, $width, $bits, $val, $res
               # vec($_,@#,@#) = @<< == @######### @>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
               # $off, $width, $bits, $val, $res
               # .
_EOF_FORMAT_
               }, 'Thank::YSTH' );
EXPECT
#   Failed test 'data slots (blessed FORMAT)'
#   at t/test_helper.pl line 561.
# Looks like you failed 3 tests of 19.
t/globtest.t ........ 

#   Failed test ''
#   at t/test_helper.pl line 114.
# Looks like you failed 1 test of 7.
t/madness.t ......... 

Subroutine B::OP::parent redefined at /usr/lib64/perl5/vendor_perl/B/Utils.pm line 186.
#   Failed test ''
#   at t/test_helper.pl line 114.
# Looks like you failed 1 test of 7.
t/madness_json.t ....

Comment 1 Petr Šabata 2015-07-07 15:08:29 UTC
*** Bug 1239771 has been marked as a duplicate of this bug. ***

Comment 2 Jan Kurik 2015-07-15 14:01:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Fedora Admin XMLRPC Client 2015-09-23 13:48:11 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Petr Šabata 2015-09-23 13:49:13 UTC
Non-trivial to fix and upstream seems dead.
Retiring in F23+.

Comment 5 Paul Howarth 2015-12-24 10:56:12 UTC
Created attachment 1109192 [details]
Spec for new upstream 2.39 release

Upstream has now released version 2.39 which builds and runs its test suite successfully in Rawhide. See attached spec.


Note You need to log in before you can comment on or make changes to this bug.